#!/usr/bin/env pwsh

Set-StrictMode -Version latest
$ErrorActionPreference = "Stop"

Write-Host "Updating component.json template variables..."

# Get component metadata
$componentRaw = Get-Content -Path "$PSScriptRoot/../../../component.json"
$component = $componentRaw | ConvertFrom-Json

# Replace template variables in component metadata
$componentRaw | Select-String -Pattern "<\w+>" -AllMatches | foreach {$_.matches.value} | Get-Unique | 
    foreach {
        $templateVar = $_ -replace "<" -replace ">"
        $componentRaw = $componentRaw -replace "<$templateVar>", $component.$templateVar
    }

# Save updated component metadata
Set-Content -Path "$PSScriptRoot/../../../component.json" -Value $componentRaw
